
import thunk from 'redux-thunk';
import { createStore, combineReducers, applyMiddleware } from 'redux';
import { authReducer, promiseReducer, cartReducer } from '../reducer';
import { actionRootCats } from "../action";

export const store = createStore(combineReducers({
  promise: promiseReducer, 
  auth: authReducer, 
  cart: cartReducer
}), applyMiddleware(thunk));
 
store.subscribe(() => console.log(store.getState()));
store.dispatch(actionRootCats());
